List all DCR providers
GET /api/dcr_providers
GET /api/dcr_providersInteractive request editor loads with JavaScript.
In: header
Query Parameters
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order resources by.
"updated_at"Value in
- "created_at"
- "updated_at"
Condition to search resources by.
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/dcr_providers?search=version%253Dv2"Successfully retrieved the paginated list of DCR providers.
{
"total": 1,
"list": [
{
"name": "string",
"provider_type": "oidc",
"issuer": "http://example.com",
"provider_config": {
"base_url": "http://example.com"
},
"headers": {
"Authorization": "Bearer $TOKEN"
},
"desc": "Object description.",
"labels": {
"version": "v2",
"env": "prod"
},
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": 1742288232,
"updated_at": 1742288235
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/dcr_providers
List all DCR providers
IAM Action: portal:GetDCRProvider, Resource: arn:api7:portal:dcrprovider/%s
Parameters
page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order resources by.search(query, string, optional): Condition to search resources by.
Responses
200: Successfully retrieved the paginated list of DCR providers.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of DCRProvider.- allOf variant 1
list[].name(string, required): The name of the Dynamic Client Registration (DCR) Provider.list[].provider_type(string, optional): The type of DCR provider. Use "oidc" for standard OIDC Dynamic Client Registration (RFC 7591/7592), or "http_bridge" for a customer-implemented HTTP Bridge service.list[].issuer(string, required): The issuer URL of the Authorization Server. Required for all provider types — used by the data plane (APISIX) for token validation.list[].provider_config(object, optional): Provider-specific configuration. Required when provider_type is "http_bridge".list[].provider_config.base_url(string, optional): The base URL of the HTTP Bridge service.list[].headers(object, optional): Custom headers to include in requests to the Authorization Server or HTTP Bridge.list[].desc(string, optional): The object description.list[].labels(object, optional): Key-value pairs of labels.- allOf variant 2
list[].id(string, optional): The object ID.list[].created_at(integer, optional): The object created timestamp.list[].updated_at(integer, optional): The object updated timestamp.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/dcr_providers'